#version 430 compatibility

uniform sampler2D tex0;
uniform sampler2D tex1;
uniform float t;				// mnoznik

void main()
{
	vec4 color0 = texture2D(tex0,gl_TexCoord[0].st);
	vec4 color1 = texture2D(tex1,gl_TexCoord[1].st);
	vec4 col = vec4(color0.x*color1.x*t,color0.y*color1.y*t,color0.z*color1.z*t,1.0);
	gl_FragColor = col; 
}
